Can "Wampserver update 3.1.9" update 2.2 directly to 3.1.9?
Posted by: rober100 (---.red-95-123-197.staticip.rima-tde.net)
Date: May 24, 2019 01:14AM

Hi!

I need to update my server from 2.2 to latest version (current is 3.1.9).

Can this updater;

[wampserver.aviatechno.net]


update 2.2 to 3.1.9 or do I need a fresh install?


:-) Thanks!

Options: ReplyQuote
Re: Can "Wampserver update 3.1.9" update 2.2 directly to 3.1.9?
Posted by: Otomatic (Moderator)
Date: May 24, 2019 09:22AM

Hi,

Wampserver update 3.1.9 can only update versions 3.0.0 to 3.1.8.

It is not possible to update a version 2.2.

You can use the procedure described here: Install a new release of Wampserver

Before installing Wampserver 3.1.9, do not forget that you must be up to date with the VC++ redistributable software.

- Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

In another message, RiggsFolly gave the simplest and most sustainable way to do it:

See the Secondary Repository for WAMPServer At the bottom of that page there is a downloadable zip file called "All VC Redistribuable Packages (x86_x64) (32 & 64bits)"

Download that, extract the multiple INSTALLERS into a folder and then methodically install them all, one by one, in a logical version number order, oldest first. BOTH the 32bit AND 64bit versions

If you see a message saying the runtime is already installed, use the REPAIR option on that dialog to make sure it is properly installed.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.4.7
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.4.7
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Can "Wampserver update 3.1.9" update 2.2 directly to 3.1.9?
Posted by: rober100 (---.red-88-17-221.dynamicip.rima-tde.net)
Date: May 28, 2019 01:46AM

Understood :-) Thanks for your answer Otomatic

Options: ReplyQuote


Sorry, only registered users may post in this forum.